import React from 'react';
import { Gapped } from "../../../components/Gapped";
import { Checkbox } from "../../../components/Checkbox";
import { getComponentsFromPropsList } from "../helpers";
var propsList = [{
  children: 'Default'
}, {
  children: 'Checked',
  checked: true
}, {
  children: 'Disabled',
  checked: true,
  disabled: true
}, {
  children: 'Semichecked',
  initialIndeterminate: true
}, {
  children: 'Focused',
  focused: true
}, {
  children: 'Error',
  error: true
}, {
  children: 'Warning',
  warning: true
}];
export var CheckboxPlayground = function CheckboxPlayground() {
  return /*#__PURE__*/(
    React.createElement(Gapped, {
      gap: 0,
      vertical: true
    }, getComponentsFromPropsList( /*#__PURE__*/React.createElement(Checkbox, null), propsList))
  );
};